-- C:\VHDL\BGEPB1
-- VHDL Test Bench created by
-- HDL Bencher 6.1i
-- Mon May 01 01:00:29 2006
-- 
-- Notes:
-- 1) This testbench has been automatically generated from
--   your Test Bench Waveform
-- 2) To use this as a user modifiable testbench do the following:
--   - Save it as a file with a .vhd extension (i.e. File->Save As...)
--   - Add it to your project as a testbench source (i.e. Project->Add Source...)
-- 

LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;
USE IEEE.STD_LOGIC_ARITH.ALL;
USE IEEE.STD_LOGIC_UNSIGNED.ALL;
USE IEEE.STD_LOGIC_TEXTIO.ALL;
USE STD.TEXTIO.ALL;

ENTITY TEST IS
END TEST;

ARCHITECTURE testbench_arch OF TEST IS
-- If you get a compiler error on the following line,
-- from the menu do Options->Configuration select VHDL 87
FILE RESULTS: TEXT OPEN WRITE_MODE IS "results.txt";
	COMPONENT embedded
		PORT (
			tx : Out  std_logic;
			rx : In  std_logic;
			reset : In  std_logic;
			clk : In  std_logic;
			PORT_0 : InOut  std_logic_vector (7 DOWNTO 0);
			PORT_1 : InOut  std_logic_vector (7 DOWNTO 0);
			PORT_2 : Out  std_logic_vector (15 DOWNTO 0);
			PORT_3 : InOut  std_logic_vector (7 DOWNTO 0);
			PORT_4 : InOut  std_logic_vector (7 DOWNTO 0);
			PORT_5 : InOut  std_logic_vector (7 DOWNTO 0)
		);
	END COMPONENT;

	SIGNAL tx : std_logic;
	SIGNAL rx : std_logic;
	SIGNAL reset : std_logic;
	SIGNAL clk : std_logic;
	SIGNAL PORT_0 : std_logic_vector (7 DOWNTO 0);
	SIGNAL PORT_1 : std_logic_vector (7 DOWNTO 0);
	SIGNAL PORT_2 : std_logic_vector (15 DOWNTO 0);
	SIGNAL PORT_3 : std_logic_vector (7 DOWNTO 0);
	SIGNAL PORT_4 : std_logic_vector (7 DOWNTO 0);
	SIGNAL PORT_5 : std_logic_vector (7 DOWNTO 0);

BEGIN
	UUT : embedded
	PORT MAP (
		tx => tx,
		rx => rx,
		reset => reset,
		clk => clk,
		PORT_0 => PORT_0,
		PORT_1 => PORT_1,
		PORT_2 => PORT_2,
		PORT_3 => PORT_3,
		PORT_4 => PORT_4,
		PORT_5 => PORT_5
	);

	PROCESS -- clock process for clk,
	BEGIN
		CLOCK_LOOP : LOOP
		clk <= transport '0';
		WAIT FOR 1 ns;
		clk <= transport '1';
		WAIT FOR 1 ns;
		WAIT FOR 9 ns;
		clk <= transport '0';
		WAIT FOR 9 ns;
		END LOOP CLOCK_LOOP;
	END PROCESS;

	PROCESS   -- Process for clk
		VARIABLE TX_OUT : LINE;
		VARIABLE TX_ERROR : INTEGER := 0;

		PROCEDURE CHECK_tx(
			next_tx : std_logic;
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 4096);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (tx /= next_tx) THEN 
				STD.TEXTIO.write(TX_LOC,string'("Error at time="));
				STD.TEXTIO.write(TX_LOC, TX_TIME);
				STD.TEXTIO.write(TX_LOC,string'("ns tx="));
				IEEE.STD_LOGIC_TEXTIO.write(TX_LOC, tx);
				STD.TEXTIO.write(TX_LOC, string'(", Expected = "));
				IEEE.STD_LOGIC_TEXTIO.write(TX_LOC, next_tx);
				STD.TEXTIO.write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				STD.TEXTIO.writeline(results, TX_LOC);
				STD.TEXTIO.Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		PROCEDURE CHECK_PORT_2(
			next_PORT_2 : std_logic_vector (15 DOWNTO 0);
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 4096);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (PORT_2 /= next_PORT_2) THEN 
				STD.TEXTIO.write(TX_LOC,string'("Error at time="));
				STD.TEXTIO.write(TX_LOC, TX_TIME);
				STD.TEXTIO.write(TX_LOC,string'("ns PORT_2="));
				IEEE.STD_LOGIC_TEXTIO.write(TX_LOC, PORT_2);
				STD.TEXTIO.write(TX_LOC, string'(", Expected = "));
				IEEE.STD_LOGIC_TEXTIO.write(TX_LOC, next_PORT_2);
				STD.TEXTIO.write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				STD.TEXTIO.writeline(results, TX_LOC);
				STD.TEXTIO.Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		PROCEDURE CHECK_PORT_0(
			next_PORT_0 : std_logic_vector (7 DOWNTO 0);
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 4096);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (PORT_0 /= next_PORT_0) THEN 
				STD.TEXTIO.write(TX_LOC,string'("Error at time="));
				STD.TEXTIO.write(TX_LOC, TX_TIME);
				STD.TEXTIO.write(TX_LOC,string'("ns PORT_0="));
				IEEE.STD_LOGIC_TEXTIO.write(TX_LOC, PORT_0);
				STD.TEXTIO.write(TX_LOC, string'(", Expected = "));
				IEEE.STD_LOGIC_TEXTIO.write(TX_LOC, next_PORT_0);
				STD.TEXTIO.write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				STD.TEXTIO.writeline(results, TX_LOC);
				STD.TEXTIO.Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		PROCEDURE CHECK_PORT_3(
			next_PORT_3 : std_logic_vector (7 DOWNTO 0);
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 4096);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (PORT_3 /= next_PORT_3) THEN 
				STD.TEXTIO.write(TX_LOC,string'("Error at time="));
				STD.TEXTIO.write(TX_LOC, TX_TIME);
				STD.TEXTIO.write(TX_LOC,string'("ns PORT_3="));
				IEEE.STD_LOGIC_TEXTIO.write(TX_LOC, PORT_3);
				STD.TEXTIO.write(TX_LOC, string'(", Expected = "));
				IEEE.STD_LOGIC_TEXTIO.write(TX_LOC, next_PORT_3);
				STD.TEXTIO.write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				STD.TEXTIO.writeline(results, TX_LOC);
				STD.TEXTIO.Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		PROCEDURE CHECK_PORT_4(
			next_PORT_4 : std_logic_vector (7 DOWNTO 0);
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 4096);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (PORT_4 /= next_PORT_4) THEN 
				STD.TEXTIO.write(TX_LOC,string'("Error at time="));
				STD.TEXTIO.write(TX_LOC, TX_TIME);
				STD.TEXTIO.write(TX_LOC,string'("ns PORT_4="));
				IEEE.STD_LOGIC_TEXTIO.write(TX_LOC, PORT_4);
				STD.TEXTIO.write(TX_LOC, string'(", Expected = "));
				IEEE.STD_LOGIC_TEXTIO.write(TX_LOC, next_PORT_4);
				STD.TEXTIO.write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				STD.TEXTIO.writeline(results, TX_LOC);
				STD.TEXTIO.Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		PROCEDURE CHECK_PORT_5(
			next_PORT_5 : std_logic_vector (7 DOWNTO 0);
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 4096);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (PORT_5 /= next_PORT_5) THEN 
				STD.TEXTIO.write(TX_LOC,string'("Error at time="));
				STD.TEXTIO.write(TX_LOC, TX_TIME);
				STD.TEXTIO.write(TX_LOC,string'("ns PORT_5="));
				IEEE.STD_LOGIC_TEXTIO.write(TX_LOC, PORT_5);
				STD.TEXTIO.write(TX_LOC, string'(", Expected = "));
				IEEE.STD_LOGIC_TEXTIO.write(TX_LOC, next_PORT_5);
				STD.TEXTIO.write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				STD.TEXTIO.writeline(results, TX_LOC);
				STD.TEXTIO.Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		PROCEDURE CHECK_PORT_1(
			next_PORT_1 : std_logic_vector (7 DOWNTO 0);
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 4096);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (PORT_1 /= next_PORT_1) THEN 
				STD.TEXTIO.write(TX_LOC,string'("Error at time="));
				STD.TEXTIO.write(TX_LOC, TX_TIME);
				STD.TEXTIO.write(TX_LOC,string'("ns PORT_1="));
				IEEE.STD_LOGIC_TEXTIO.write(TX_LOC, PORT_1);
				STD.TEXTIO.write(TX_LOC, string'(", Expected = "));
				IEEE.STD_LOGIC_TEXTIO.write(TX_LOC, next_PORT_1);
				STD.TEXTIO.write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				STD.TEXTIO.writeline(results, TX_LOC);
				STD.TEXTIO.Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		BEGIN
		-- --------------------
		reset <= transport '0';
		rx <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=20 ns
		reset <= transport '1';
		-- --------------------
		WAIT FOR 20 ns; -- Time=40 ns
		reset <= transport '0';
		-- --------------------
		WAIT FOR 100 ns; -- Time=140 ns
		reset <= transport '1';
		-- --------------------
		WAIT FOR 20 ns; -- Time=160 ns
		reset <= transport '0';
		-- --------------------
		WAIT FOR 42 ns; -- Time=202 ns
		CHECK_tx('0',202);
		-- --------------------
		WAIT FOR 16080 ns; -- Time=16282 ns
		CHECK_PORT_3("00000001",16282); --1
		-- --------------------
		WAIT FOR 18 ns; -- Time=16300 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16320 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16340 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16360 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16380 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16400 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16420 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16440 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16460 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16480 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16500 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16520 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16540 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16560 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16580 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16600 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16620 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16640 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16660 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16680 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16700 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16720 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16740 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16760 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16780 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16800 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16820 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16840 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16860 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16880 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16900 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16920 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16940 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16960 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=16980 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17000 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17020 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17040 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17060 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17080 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17100 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17120 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17140 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17160 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17180 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17200 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17220 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17240 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17260 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17280 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17300 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17320 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17340 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17360 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17380 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17400 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17420 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17440 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17460 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17480 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17500 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17520 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17540 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17560 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17580 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17600 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17620 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17640 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17660 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17680 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17700 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17720 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17740 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17760 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17780 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17800 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17820 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17840 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17860 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17880 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17900 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17920 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17940 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17960 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=17980 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=18000 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=18020 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=18040 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=18060 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=18080 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=18100 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=18120 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=18140 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=18160 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=18180 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=18200 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=18220 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=18240 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=18260 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 20 ns; -- Time=18280 ns
		PORT_3 <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 25241 ns; -- Time=43521 ns
		-- --------------------

		IF (TX_ERROR = 0) THEN 
			STD.TEXTIO.write(TX_OUT,string'("No errors or warnings"));
			STD.TEXTIO.writeline(results, TX_OUT);
			ASSERT (FALSE) REPORT
				"Simulation successful (not a failure).  No problems detected. "
				SEVERITY FAILURE;
		ELSE
			STD.TEXTIO.write(TX_OUT, TX_ERROR);
			STD.TEXTIO.write(TX_OUT, string'(
				" errors found in simulation"));
			STD.TEXTIO.writeline(results, TX_OUT);
			ASSERT (FALSE) REPORT
				"Errors found during simulation"
				SEVERITY FAILURE;
		END IF;
	END PROCESS;
END testbench_arch;

CONFIGURATION embedded_cfg OF TEST IS
	FOR testbench_arch
	END FOR;
END embedded_cfg;
